Package com.zfabrik.util.logging

## Class HomeFileHandler

- java.lang.Object
- - java.util.logging.Handler
  - - java.util.logging.StreamHandler
    - - java.util.logging.FileHandler
      - - com.zfabrik.util.logging.HomeFileHandler

-     public class HomeFileHandler
      extends java.util.logging.FileHandler

  A modification of the standard JUL file handler that suppresses logging on worker nodes. In the server setup, this means that only the home process will write log files (which is typically desirable, as it tunnels the worker process logs anyway).

  Can be used as a drop-in replacement for `FileHandler`

  Author:
    hb

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HomeFileHandler()` |
    `HomeFileHandler​(java.lang.String pattern)` |
    `HomeFileHandler​(java.lang.String pattern, boolean append)` |
    `HomeFileHandler​(java.lang.String pattern, int limit, int count)` |
    `HomeFileHandler​(java.lang.String pattern, int limit, int count, boolean append)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `publish​(java.util.logging.LogRecord record)` |

    - ### Methods inherited from class java.util.logging.FileHandler

      `close`

    - ### Methods inherited from class java.util.logging.StreamHandler

      `flush, isLoggable, setEncoding, setOutputStream`

    - ### Methods inherited from class java.util.logging.Handler

      `getEncoding, getErrorManager, getFilter, getFormatter, getLevel, reportError, setErrorManager, setFilter, setFormatter, setLevel`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HomeFileHandler

          public HomeFileHandler()
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### HomeFileHandler

          public HomeFileHandler​(java.lang.String pattern,
                                 boolean append)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### HomeFileHandler

          public HomeFileHandler​(java.lang.String pattern,
                                 int limit,
                                 int count,
                                 boolean append)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### HomeFileHandler

          public HomeFileHandler​(java.lang.String pattern,
                                 int limit,
                                 int count)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

    - #### HomeFileHandler

          public HomeFileHandler​(java.lang.String pattern)
                          throws java.io.IOException,
                                 java.lang.SecurityException

      Throws:
        `java.io.IOException`
        `java.lang.SecurityException`

  - ### Method Detail

    - #### publish

          public void publish​(java.util.logging.LogRecord record)

      Overrides:
        `publish` in class `java.util.logging.FileHandler`